export default {
  pages: [
    'pages/examine/index',//审核
    'pages/applyDepart/index',//申请外出
    'pages/punchClock/index',//打卡
    'pages/login/index',//登录
    // 'pages/staffDistribution/index',//员工分布
    // 'pages/outdoorActivities/index'//出差申报
  ],
  tabBar: {
    list: [
      {
        iconPath: './image/examineUnSelect.png',
        selectedIconPath: './image/examineSelect.png',
        pagePath: 'pages/examine/index',
        text: '审核'
      },{
      iconPath: './image/punchClockUnSelect.png',
      selectedIconPath: './image/punchClockSelect.png',
      pagePath: 'pages/punchClock/index',
      text: '打卡'
    }, {
      iconPath: './image/egressUnSelect.png',
      selectedIconPath: './image/egressSelect.png',
      pagePath: 'pages/applyDepart/index',
      text: '申请外出'
    }],
    'color': '#515151',
    'selectedColor': '#56abe4',
    'backgroundColor': '#fff',
    'borderStyle': 'white'
  },
  window: {
    backgroundTextStyle: 'light',
    navigationBarBackgroundColor: '#fff',
    navigationBarTitleText: 'WeChat',
    navigationBarTextStyle: 'black'
  },
  requiredBackgroundModes:['location'],
  plugins: {
    chooseLocation: {
      version: "1.0.6",
      provider: "wx76a9a06e5b4e693e"
    }
  },
  permission: {
    "scope.userLocation": {
      desc: "你的位置信息将用于小程序定位"
    }
  }
}
