import { Component } from 'react';
import Taro from '@tarojs/taro';
import { connect } from 'react-redux';
import {View} from '@tarojs/components';

import 'taro-ui/dist/style/components/icon.scss';
import './index.less';

import { add, minus, asyncAdd } from '../../actions/counter';


@connect(({ counter }) => ({
  counter
}), (dispatch) => ({
  add () {
    dispatch(add())
  },
  dec () {
    dispatch(minus())
  },
  asyncAdd () {
    dispatch(asyncAdd())
  }
}))
class Index extends Component {
  constructor(props) {
    super(props);
    this.state={
      selectArrderName:''
    }
    this.selectArrder = this.selectArrder.bind(this);
  }

  componentDidShow () {
    const chooseLocation = requirePlugin('chooseLocation');
    const location = chooseLocation.getLocation();
    // address: "北京市丰台区莲花池东路"
    // city: "北京市"
    // district: "丰台区"
    // latitude: 39.896316
    // longitude: 116.32346
    // name: "北京西站"
    // province: "北京市"
    if(location){
      this.setState({
        selectArrderName: location.name
      })
    }
    console.log(location);
  }

  componentDidMount() {

  }

  selectArrder(){
    const key = 'BP4BZ-JQJED-5DG4N-H6JND-KC5PK-D2BDL'; //使用在腾讯位置服务申请的key
    const referer = '科德高企培育'; //调用插件的app的名称
    const location = JSON.stringify({
      latitude: 39.89631551,
      longitude: 116.323459711
    });
    const category = '生活服务,娱乐休闲';

    Taro.navigateTo({
      url: 'plugin://chooseLocation/index?key=' + key + '&referer=' + referer + '&location=' + location + '&category=' + category
    });
  }

  render () {
    return (
      <View className='outdoorActivities'>
          <View className='formItem'>
            <View className='formLabel'>出差地点:</View>
            <View className='formValue' onClick={this.selectArrder}>
              <View className='selectArrderName'>{this.state.selectArrderName}</View>
              <View className='at-icon at-icon-chevron-right'/>
            </View>
          </View>
      </View>
    )
  }
}

export default Index

